#!/usr/bin/perl -U
#
# ------------- 
# File: admin.cgi 
# Description: Generates man html page for the list administrators
# provides URLs to those lists thst are present.
# admin rights are checked in individual admin scripts.
# UserID/passwd authentication of admins is handled by httpd
#
# Author: Ugur Ayfer
# 
#==================================================================== 

require 'TEMPLATE/config.pl';
require 'TEMPLATE/list_subs.pl';

print "Content-Type: text/html\n\n";
print qq~


<html>

<head>
<meta http-equiv="CHARSET" content="ISO-8859-1">
<meta http-equiv="CONTENT-LANGUAGE" content="English">
<meta http-equiv="Content-Type"
content="text/html; charset=windows-1254">
<meta name="keywords" content="mail, list, email">
<meta name="description"
content="WASPII Mailing Lists">
<meta name="OWNER" content="$title">
<meta name="AUTHOR" content="Can Ugur Ayfer">
<title>$title</title>
</head>

<body bgcolor="#000000" text="#FFFFFF" link="#FFFFFF"
vlink="#FFFFFF" alink="#FFFFFF">

<p align="center"><img src="/$waspii_root/images/weblogo2.gif"> <br>
</p>
<div align="center"><center>

<table border="0" cellpadding="3" cellspacing="3" width="600">
    <tr>
        <td align="center" nowrap><font size="4" face="Arial"><b>Announcements
        Lists<p><font color="#ff0000" size="+2">ADMINISTRATION</font></b></font><font face="Arial"><br>
        </font><p>
         <font size="-2">Your IP: $ENV{'REMOTE_ADDR'}</font><br>
        </p>
        </td>
    </tr>
</table>
</center></div><div align="center"><center>

<table border="0" cellpadding="6" cellspacing="6" width="600">
    <tr>
        <td>
            <blockquote>
                <p><font size="3" face="Arial"><strong>Subscription
                based announcement mailing lists:</strong></font></p>
         <blockquote>
~;

#
# If user comes from a site admin host, he/she can create a new list.
# site admin hosts are declared in  .../$waspii_root/.hosts.admin file 
# one IP number per line
# wild card IP numbers are allowed.
# sample .hosts.admin file :
#           139.179.10.54
#           139.179.111.
#
$user_is_admin = &check_admin("./.hosts.admin");

foreach $dir(<*>) {   # check all directories under he current dir for lists
  if (-d $dir) {  #   if not a dir, cannot be a list service
  if ($dir =~ /TEMPLATE/i) { next }; # Dont disclose the TEMPLATE list dir
  #
  # Hide lists with folder names starting with _ but not from the admin
  if (($dir =~ /^\_/) && ($user_is_admin eq "no")) { next };
 
  unless (-e "$dir/config.pl")   { next } # if there is no confirm.pl there, it
                                        # is not a list
     # find $list_name in lists config.pl file and dislpay its value as
     # list description
     $descr = "";
     open(CONF, "$dir/config.pl") || ($descr = 'Error: config file cannot be opened');
     while (<CONF>) {
           if (index( $_, '$list_name') eq -1) { next };
           ($part1, $descr) = split("=", $_);
           $descr=~ s/\";/\"/;  # get rid of the last semicolon replace"; with "
           last;
     }
     close(CONF);


     print "<a href=\"http://$httphost/cgi\-bin/$waspii_root/$dir/admin/admin.cgi?action\=compose\">";
     print "<img src=\"/$waspii_root/images/minienv.gif\" border=0 hspace=5 alt=\"Send mail to subscribers\">";
     print "</a>";
     print "<a href=\"http://$httphost/cgi-bin/$waspii_root/$dir/admin/admin.cgi\">";
     print "<img src=\"/$waspii_root/images/miniadm.gif\" border=0 hspace=5 \"List Administration\"></a>";
     print "<a href=\"http://$httphost/cgi-bin/$waspii_root/$dir/admin/admin.cgi\">";
     print "<b>$dir</b></a> - $descr  <br>\n";

  }
}
print "<p>--- End Of List ---<br><hr>";

$admin_link = "";
if ($user_is_admin eq "yes") {
      $admin_link = " <a href=\"http://$httphost/$waspii_root/creating2.htm\"><img src=\"http://$httphost/$waspii_root/images/greenarr.gif\" border=\"0\"></a><b><font color=\"#00ff00\"> Create a New List</font></b>";
}

           
print qq~

<p>
$admin_link<p>
</blockquote>
<center><font size="-1"><a href="http://$httphost/$waspii_root/lists.htm">Back to LISTS home</a></font></center>               
        <p>&nbsp;</p>
        </td>
    </tr>
</table>
</center></div><div align="center"><center>

<table border="0" cellspacing="0" width="600">
    <tr>
        <td bgcolor="#000033">&nbsp;</td>
    </tr>
</table>
</center></div>
</body>
</html>
~;
 
