#!/usr/bin/perl -U
# ------------- 
# WASPII List Manager 
# ------------- 
# Email list manager 
# 
# File: add2db.cgi 
# Description: Adds confirmed users to db 
# Author: Can Ugur Ayfer 
# 
#==================================================================== 

# path to config.pl 
require 'config.pl'; 

require "$subs_path"; 
#&data_parse; 
&unix_to_time; 
&top;

#************************************************ 
# 
# Parse the data from QUERY_STRING  
# 
#*********************************************** 

if ($ENV{"REQUEST_METHOD"} eq 'POST') {
   read(STDIN, $buffer, $ENV{'CONTENT_LENGTH'});
}
else {
   $buffer = $ENV{'QUERY_STRING'};
}

@pairs=split(/&/, $buffer);
foreach $pair(@pairs) {
   ($name, $value) = split(/=/, $pair);
   $value =~ tr/+/ /;
   $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
   if ($name eq "cid"){
        $cid = $value}
   elsif ($name eq "vid") {
        $vid = $value}
}

# find and verify the record 
dbmopen(%CDB, "$db_data_path/confirm", 0600) or die &error($errmsg = "Unable to open database $db_data_path/confirm"); 
if(!$CDB{$cid}){ &error($errmsg = "Couldn't locate your record"); } 

($tvid, $email, $tday, $tmonth, $tyear) = split(/\t/, $CDB{$cid}); 

unless($tvid == $vid){ &error($errmsg = "Invalid verification ID"); } 
delete($CDB{$cid}); 
dbmclose(%CDB); 


# add the record to the database 
dbmopen(%DB, "$db_data_path/emails", 0600) or die &error($errmsg = "Unable to open $db_data_path/emails. Reason: $!"); 
my ($info) = "$email"."\t"."$day"."\t"."$month"."\t"."$year"; 
$DB{$cid} = $info; 
dbmclose(%DB); 


print qq~ 
<center>
Your subscription to list :<p>
<b>$list_name</b><p>
has been confirmed successfully.<p>
Click <a href="http://$httphost/$waspii_root/lists.htm">here</a> to go to<p>
$title<p>Services home page.<p>
</center>
~; 

&sig; 
&bottom; 
