#!/usr/bin/perl -U
# ------------- 
# WASPII List Manager 
# ------------- 
# Email list manager 
# 
# File: ax.cgi 
# Description: Remove entries 
# Author: Martin Kretzmann 
# Email: martin@plebius.org 
# Web: http://www.plebius.org 
# Version: 2.0 
# 
# Copyright 1999 Plebius Industries. All Rights Reserved. 
# 
# This program is free software; you can redistribute it and/or 
# modify it under the terms of the GNU General Public License as 
# published by the Free Software Foundation; either version 2 of 
# the License, or (at your option) any later version. 
# 
# This program is distributed in the hope that it will be useful, 
# but WITHOUT ANY WARRANTY; without even the implied warranty of 
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
# GNU General Public License for more details. 
# 
# You should have received a copy of the GNU General Public License 
# along with this program; if not, write to the Free Software 
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 
# Or visit http://www.plebius.org/scripts/license.html 
# 
#==================================================================== 

# the path to config.pl on your server 
require 'config.pl'; 

require "$subs_path"; 
&data_parse; 
&ax; 

#************************************** 
# 
# Users delete entries 
# 
#************************************** 

sub ax{ 

# if using email to unsubscribe 
if ($FORM{'email'}){ 
dbmopen(%DB, "$db_data_path/emails", 0600) or die &error($errmsg = "Unable to open $db_data_path/emails"); 
my @allkeys = keys (%DB); 
foreach $key (@allkeys){ 
my ($email, $tday, $tmonth, $thyear) = split(/\t/, $DB{$key}); 
if ($FORM{'email'} eq $email){ 
$temp = $DB{$key}; 
delete($DB{$key}); 
dbmclose(%DB); 
&top("Success"); 
print "<$font>Your email address <b>$email</b> was successfully removed from the<b>$list_name</b> database</font><p>"; 
&sig; 
&bottom; 
exit; 
} 
} 
dbmclose(%DB); 
&error($errmsg = "That email address, <b>$FORM{'email'}</b>, was not found in the database <b>or</b> the owner has not confirmed subscription yet!<p>List : $list_name<p>"); 
} 

# check for input 
if (!$FORM{'cid'}){ &error($errmsg = "No command input"); } 
$cid = $FORM{'cid'}; 

# delete the record 
dbmopen(%DB, "$db_data_path/emails", 0600) or die &error($errmsg = "Unable to open $db_data_path/emails"); 
unless($DB{$cid}){ &error($errmsg = "Invalid code $cid"); } 

($email, $tday, $tmonth, $tyear) = split(/\t/, $DB{$cid}); 
delete($DB{$cid}); 
dbmclose(%DB); 

# print the output 
&top("Success"); 
print "<$font>Your email address <b>$email</b> was successfully removed from the $list_name database</font><p>"; 
&sig; 
&bottom; 

}

